GHSA-ppjh-xp5v-46wc

Suggest an improvement
Source
https://github.com/advisories/GHSA-ppjh-xp5v-46wc
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/09/GHSA-ppjh-xp5v-46wc/GHSA-ppjh-xp5v-46wc.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-ppjh-xp5v-46wc
Aliases
Related
Published
2023-09-20T06:30:50Z
Modified
2024-05-21T18:16:45Z
Severity
  • 7.8 (High) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Croc sender may send dangerous new files to receiver
Details

An issue was discovered in Croc before 9.6.16. A sender may send dangerous new files to a receiver, such as executable content or a .ssh/authorized_keys file.

References

Affected packages

Go / github.com/schollz/croc/v9

Package

Name
github.com/schollz/croc/v9
View open source insights on deps.dev
Purl
pkg:golang/github.com/schollz/croc/v9

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
9.6.16